Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/jobs/{jobId}/status \
--header 'Authorization: Bearer <token>'{
"job_type": "refresh_schema",
"job_id": "4e6953a9-a71b-4c0b-8b63-a9ea308f6aaf",
"status": "RUNNING"
}Currently, this endpoint only supports schema refresh jobs. Job IDs from other job types will return an error.
Retrieves the current status of an asynchronous job. The user authenticating the request must have read permissions on the connection.
This endpoint is used to check the status of jobs initiated by other API calls, such as schema refreshes. Poll this endpoint to determine when the job has completed.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/jobs/{jobId}/status \
--header 'Authorization: Bearer <token>'{
"job_type": "refresh_schema",
"job_id": "4e6953a9-a71b-4c0b-8b63-a9ea308f6aaf",
"status": "RUNNING"
}The response will contain one of the following statuses:Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
| Status | Description |
|---|---|
RUNNING | Job is currently executing |
COMPLETED | Job finished successfully |
FAILED | Job failed |
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The job ID returned from an asynchronous operation such as Refresh schema
Was this page helpful?